Search List Items
Request
https://api.castle.io/v1/lists/{list_id}/items/query Path parameters
list_idrequired | string ID of the List |
Request body
page | integerDefault: 1Page number |
results_size | integerDefault: 20How many records to show per page |
Response
200 | object Returns a list of all the List Items matching the query | ||||||||||||||||||||||||
| |||||||||||||||||||||||||
401 | No body You are missing the Authorization header, or the API secret is missing or incorrect. | ||||||||||||||||||||||||
403 | No body The request is rejected because the service is not enabled for this account. | ||||||||||||||||||||||||
422 | object The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint. | ||||||||||||||||||||||||
| |||||||||||||||||||||||||
429 | No body You performed too many requests. You should back off and retry using the exponential backoff algorithm. | ||||||||||||||||||||||||
500 | No body There’s an issue on our end. | ||||||||||||||||||||||||